> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Section Groups

> Retrieves the section groups in a program, ordered by position.



## OpenAPI

````yaml post /operations/list_section_groups
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /operations/list_section_groups:
    post:
      tags:
        - Section Groups
      summary: List Section Groups
      description: Retrieves the section groups in a program, ordered by position.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                page:
                  type: integer
                  minimum: 1
                  maximum: 10000
                per_page:
                  type: integer
                  minimum: 1
                  maximum: 30
                query:
                  type: string
                  maxLength: 10000
                product_id:
                  type: string
                  minLength: 1
                  maxLength: 255
                  description: >-
                    Program ID. You need edit access to create a group. Creating
                    a group does not turn on grouped display for the program.
              required:
                - product_id
              additionalProperties: false
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    maxItems: 30
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        product_id:
                          type: string
                        name:
                          type: string
                        position:
                          type: integer
                  page:
                    type: integer
                  next_page:
                    type: integer
                    nullable: true
              example:
                data:
                  - id: GROUP_ID
                    product_id: PROGRAM_ID
                    name: Getting started
                    position: 1
                page: 1
                next_page: null
        '401':
          description: Access denied
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Access denied
        '403':
          description: You do not have permission to perform this action
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: You do not have permission to perform this action
        '404':
          description: Record not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Record not found
        '422':
          description: Invalid arguments
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Invalid arguments
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Too many requests
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.